MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024998Community[OCCT] OCCT:Foundation Classespublic2014-06-10 15:272014-11-11 13:01
Reporterdrazmyslovich 
Assigned Toapn 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024998: The incorrect _USE_MATH_DEFINES definition in Standard_math.hxx prevents the clean build for client applications
Description_USE_MATH_DEFINES definition for Windows is necessary for using the standard math.h definitions in VS. In case of a client application using OpenCASCADE library, the definition of _USE_MATH_DEFINES in Standard_math.hxx can lead to redefinition compile error. For instance, the client application has already defined _USE_MATH_DEFINES for it's internal uses and has already included math.h - Standard_math.hxx in this case tries to redefine _USE_MATH_DEFINES.
The proposed solution: cover #define _USE_MATH_DEFINES line with #ifndef clause.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024234closedbugmaster Open CASCADE occt master is not compiled by VC++ 2005 (vc8 32/64 bit TKBO) 
related to 0025401closedbugmaster Community Some warnings could be eliminated 

-  Notes
(0029762)
drazmyslovich (developer)
2014-06-10 15:53

The proposed solution is committed, please, verify
(0029763)
abv (manager)
2014-06-10 15:55

Reviewed, please integrate (no testing is needed)

- Related Changesets
occt: master acbb658a
Timestamp: 2014-06-10 11:50:14
Author: razmyslovich
Committer: apn
Details ] Diff ]
0024998: The incorrect _USE_MATH_DEFINES definition in Standard_math.hxx prevents the clean build for client applications

Add #ifndef clause to avoid redefinition compile error
mod - src/Standard/Standard_math.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-10 15:27 drazmyslovich New Issue
2014-06-10 15:27 drazmyslovich Assigned To => drazmyslovich
2014-06-10 15:53 drazmyslovich Note Added: 0029762
2014-06-10 15:53 drazmyslovich Status new => resolved
2014-06-10 15:55 abv Note Added: 0029763
2014-06-10 15:55 abv Assigned To drazmyslovich => bugmaster
2014-06-10 15:55 abv Status resolved => reviewed
2014-06-10 16:02 mkv Status reviewed => tested
2014-06-10 16:02 mkv Target Version Unscheduled => 6.8.0
2014-06-10 17:50 kgv Relationship added related to 0024234
2014-06-10 17:50 kgv Product Version Unscheduled => 6.7.0
2014-06-17 17:22 apn Changeset attached => occt master acbb658a
2014-06-17 17:22 apn Assigned To bugmaster => apn
2014-06-17 17:22 apn Status tested => verified
2014-06-17 17:22 apn Resolution open => fixed
2014-10-21 09:01 abv Relationship added related to 0025401
2014-11-11 12:44 user533 Fixed in Version => 6.8.0
2014-11-11 13:01 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker